ConvertTreeReaderFactory.AnyIntegerTreeReader (ORC Core 1.5.6 API)
Date: 2019-06-27

org.apache.orc.impl

## Class ConvertTreeReaderFactory.AnyIntegerTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader
    - - org.apache.orc.impl.ConvertTreeReaderFactory.AnyIntegerTreeReader

- Enclosing class:
    ConvertTreeReaderFactory

      public static class ConvertTreeReaderFactory.AnyIntegerTreeReader
      extends ConvertTreeReaderFactory.ConvertTreeReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getString(long longValue)`
    `void` | `nextVector(ColumnVector previousVector, boolean[] isNull, int batchSize)` Populates the isNull vector array in the previousVector object based on the present stream values.

    - ### Methods inherited from class org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader

      `assignStringGroupVectorEntry, assignStringGroupVectorEntry, convertStringGroupVectorElement, convertVector, doubleCanFitInLong, downCastAnyInteger, downCastAnyInteger, getIsParseError, getStringGroupTreeReader, integerDownCastNeeded, parseDateFromString, parseDecimalFromString, parseDoubleFromString, parseFloatFromString, parseLongFromString, parseTimestampFromString, seek, seek, setConvertTreeReader, setConvertVectorElement, stringFromBytesColumnVectorEntry`

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getString

          protected String getString(long longValue)

    - #### nextVector

          public void nextVector(ColumnVector previousVector,
                                 boolean[] isNull,
                                 int batchSize)
                          throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `previousVector` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `batchSize` - Size of the column vector
      Throws:
        `IOException`

Copyright © 2013–2019 The Apache Software Foundation. All rights reserved.